Home Forums Theme support PHP Update 8.1 or higher not possible

This topic contains 6 replies, has 2 voices, and was last updated by  7Theme Support 1 month ago.

Viewing 7 posts - 1 through 7 (of 7 total)
  • Author
    Posts
  • Hello,

    I have to update my website to PHP 8.1 or higher.
    When I change php version I got this error message:

    Fatal error: Uncaught Error: Call to undefined function create_function() in /home/.sites/43/site6269217/web/wp-content/themes/superdog/7league/7league_functions.php:3315 Stack trace: #0 /home/.sites/43/site6269217/web/wp-content/themes/superdog/7league/init.php(14): require_once() #1 /home/.sites/43/site6269217/web/wp-content/themes/superdog/functions.php(3): require_once(‘/home/.sites/43…’) #2 /home/.sites/43/site6269217/web/wp-settings.php(663): include(‘/home/.sites/43…’) #3 /home/.sites/43/site6269217/web/wp-config.php(121): require_once(‘/home/.sites/43…’) #4 /home/.sites/43/site6269217/web/wp-load.php(50): require_once(‘/home/.sites/43…’) #5 /home/.sites/43/site6269217/web/wp-blog-header.php(13): require_once(‘/home/.sites/43…’) #6 /home/.sites/43/site6269217/web/index.php(17): require(‘/home/.sites/43…’) #7 {main} thrown in /home/.sites/43/site6269217/web/wp-content/themes/superdog/7league/7league_functions.php on line 3315

    PHP Scan told me that Theme superdog is the problem.
    I have checked for Theme update but website told me that I use the latest Version.

    Can you please help me here.

    Thank you

    Best Regards
    Stephanie

    Hi Stephanie, can you tell me what version of the theme you use? The update function in your dashboard is only for the non-premium themes from wordpress.org, other updates aren’t visible there.

    Hello,
    Superdog Version: 1.03

    Ok, that’s why it’s not working. The most recent version is 1.09 and it’s fully compatible with PHP 8+. Have you purchased the theme on our website? Then you can download the most recent version in your account.

    Hello,

    I have downloaded version 1.09 and updated Theme, If I change now to PHP 8+ I got this error:

    Fatal error: Duplicate declaration of static variable $instance in /home/.sites/43/site6269217/web/wp-content/themes/superdog/7league/sl_galleries.php on line 141

    Can you please check.

    Thank you for your support

    BR

    8.1 is working
    8.3 shows error

    Ok, can you set it to PHP 8.1, then you can use it for the moment without any problem. We will check the theme with PHP 8.3 and fix the problem as soon as possible.

Viewing 7 posts - 1 through 7 (of 7 total)

You must be logged in to reply to this topic.